## com.imcode.imcms.flow
Class Page

    java.lang.Object
      com.imcode.imcms.flow.Page

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  OkCancelPage

    public abstract class Page

extends java.lang.Object
implements java.io.Serializable, HttpSessionAttribute

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `IN_REQUEST`

Constructor Summary
`Page()`

Method Summary
`abstract void` `dispatch(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

`static

`<E extends Page> E`

`

`fromRequest(javax.servlet.http.HttpServletRequest request)`

`abstract java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `getSessionAttributeName()`
`static java.lang.String` `htmlHidden(javax.servlet.http.HttpServletRequest request)`
`protected void` `removeFromSession(javax.servlet.http.HttpServletRequest request)`
`void` `setSessionAttributeName(java.lang.String sessionAttributeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN_REQUEST

    public static final java.lang.String IN_REQUEST

See Also:
  Constant Field Values

Constructor Detail

### Page

    public Page()

Method Detail

### htmlHidden

    public static java.lang.String htmlHidden(javax.servlet.http.HttpServletRequest request)

### fromRequest

    public static <E extends Page> E fromRequest(javax.servlet.http.HttpServletRequest request)

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getSessionAttributeName

    public java.lang.String getSessionAttributeName()

  Specified by:
    `getSessionAttributeName` in interface `HttpSessionAttribute`

### setSessionAttributeName

    public void setSessionAttributeName(java.lang.String sessionAttributeName)

  Specified by:
    `setSessionAttributeName` in interface `HttpSessionAttribute`

### removeFromSession

    protected void removeFromSession(javax.servlet.http.HttpServletRequest request)

### dispatch

    public abstract void dispatch(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getPath

    public abstract java.lang.String getPath(javax.servlet.http.HttpServletRequest request)